import tkinter
import tkinter.ttk

class Application(tkinter.ttk.Frame):
    def __init__(self, master=None):
        super().__init__(master)
        # Обязательно указываем ширину и высоту контейнера посредством
        # опций width и height соответственно
        self.configure(width=200, height=100)
        self.pack(padx=4, pady=4)

        self.create_widgets()
        self.master.title("Пример использования Spinbox")

    def create_widgets(self):
        # Поле ввода со счетчиком для указания числового значения
        spnNumber1 = tkinter.Spinbox(self, from_=1.0, to=10.0, increment=0.5, exportselection=0)
        spnNumber1.grid(row=0, column=0)
        # Вбор значения из заданного списка
        lst = ["Windows Vista", "Windows 7", "Windows 8", "Windows 8.1", "Windows 10"]
        spnNumber2 = tkinter.Spinbox(self, values=lst, exportselection=0)
        spnNumber2.grid(row=0, column=1)

root = tkinter.Tk()
app = Application(master=root)
root.mainloop()
